Package com.castlabs.sdk.debug.view

# Class AbrPlotsFragment

java.lang.Object
androidx.fragment.app.Fragment
com.castlabs.sdk.debug.view.AbrPlotsFragment

All Implemented Interfaces:
  `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.activity.result.ActivityResultCaller`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`

public class AbrPlotsFragment extends androidx.fragment.app.Fragment
Fragment that displays ABR (Adaptive Bitrate) plots. This fragment shows charts for ABR metrics, buffer metrics, and download metrics. It requires the hosting activity to implement `ExtendedPlayerViewProvider` to obtain the `IPlayerView` instance.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  ### Fields inherited from class androidx.fragment.app.Fragment

  `mPreviousWho`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbrPlotsFragment()`
  Default constructor for AbrPlotsFragment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `View`
  `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
  `void`
  `onStart()`
  `void`
  `onStop()`

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getParentFragmentManager, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForActivityResult, registerForActivityResult, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbrPlotsFragment

    public AbrPlotsFragment()
    Default constructor for AbrPlotsFragment.

- ## Method Details

  - ### onCreateView

    @Nullable public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState)
    Overrides:
      `onCreateView` in class `androidx.fragment.app.Fragment`

  - ### onStart

    public void onStart()
    Overrides:
      `onStart` in class `androidx.fragment.app.Fragment`

  - ### onStop

    public void onStop()
    Overrides:
      `onStop` in class `androidx.fragment.app.Fragment`